Package ghidra.pcode.pcoderaw

# Class PcodeOpRaw

java.lang.Object
ghidra.program.model.pcode.PcodeOp
ghidra.pcode.pcoderaw.PcodeOpRaw

public class PcodeOpRaw extends PcodeOp

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.pcode.PcodeOp

  `BOOL_AND, BOOL_NEGATE, BOOL_OR, BOOL_XOR, BRANCH, BRANCHIND, CALL, CALLIND, CALLOTHER, CAST, CBRANCH, COPY, CPOOLREF, EXTRACT, FLOAT_ABS, FLOAT_ADD, FLOAT_CEIL, FLOAT_DIV, FLOAT_EQUAL, FLOAT_FLOAT2FLOAT, FLOAT_FLOOR, FLOAT_INT2FLOAT, FLOAT_LESS, FLOAT_LESSEQUAL, FLOAT_MULT, FLOAT_NAN, FLOAT_NEG, FLOAT_NOTEQUAL, FLOAT_ROUND, FLOAT_SQRT, FLOAT_SUB, FLOAT_TRUNC, INDIRECT, INSERT, INT_2COMP, INT_ADD, INT_AND, INT_CARRY, INT_DIV, INT_EQUAL, INT_LEFT, INT_LESS, INT_LESSEQUAL, INT_MULT, INT_NEGATE, INT_NOTEQUAL, INT_OR, INT_REM, INT_RIGHT, INT_SBORROW, INT_SCARRY, INT_SDIV, INT_SEXT, INT_SLESS, INT_SLESSEQUAL, INT_SREM, INT_SRIGHT, INT_SUB, INT_XOR, INT_ZEXT, LOAD, LZCOUNT, MULTIEQUAL, NEW, PCODE_MAX, PIECE, POPCOUNT, PTRADD, PTRSUB, RETURN, SEGMENTOP, STORE, SUBPIECE, UNIMPLEMENTED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PcodeOpRaw(PcodeOp op)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getAddress()`
  `OpBehavior`
  `getBehavior()`

  ### Methods inherited from class ghidra.program.model.pcode.PcodeOp

  `decode, encodeRaw, getBasicIter, getInput, getInputs, getInsertIter, getMnemonic, getMnemonic, getNumInputs, getOpcode, getOpcode, getOutput, getParent, getSeqnum, getSlot, hashCode, insertInput, isAssignment, isCommutative, isCommutative, isDead, removeInput, setInput, setOpcode, setOrder, setOutput, setTime, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PcodeOpRaw

    public PcodeOpRaw(PcodeOp op)

- ## Method Details

  - ### getBehavior

    public OpBehavior getBehavior()

  - ### getAddress

    public Address getAddress()